Subject: Re: bug#50061: 28.0.50; Hang caused by savehist-save when saving kill ring with large amount of data from nxml-mode buffer

From: Eli Zaretskii <[email-masked]>
Date: Sun, 15 Aug 2021 14:25:03 +0300

> From: Matt Beshara <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 15 Aug 2021 20:38:04 +1000
> 
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Specifically, it's the 'rng-state' property on the "</p>" that 
> > ends a
> > paragraph.  It's a massive recursive data structure, and 
> > printing it
> > takes a lot of memory.  Maybe nXML could arrange for these 
> > properties
> > to be removed when copying to the kill-ring, but would it get in 
> > the
> > way if you want to paste into an XML buffer?
> 
> I haven’t had time to look at the code yet, so I’m not sure what 
> information the ‘rng-state’ property contains, and whether it 
> would cause any problems (to me) for it to be removed when copied. 
> That said, personally, I don’t think there could be any side 
> effect of removing that property from copied XML which would be 
> more disruptive than savehist causing Emacs to hang completely 
> when trying to save my kill ring.  Also, would nXML not be able to 
> recreate any missing data it needed from the ‘rng-state’ property 
> if the plain text of the XML was then pasted into an nXML buffer 
> again?

Sorry, I don't know enough about nXML to answer those questions.  But
I think patches to remove that property when copying stuff to the
kill-ring will be welcome.